#!/usr/bin/python
# -*- coding: utf-8 -*-
 
 
#script cx_freeze for pyxamker software
 
 
 
 
import sys, os
from cx_Freeze import setup, Executable
 
 
 
 
#########################################################################
#                         OPTIONS PREPARATION							#
#########################################################################
path = sys.path.append(os.path.join(".", os.path.dirname(sys.executable)))
includes = [$$INCLUDES$$]
excludes = [$$EXCLUDES$$]
packages = [$$PACKAGES$$]
include_files = [$$INCLUDE_FILES$$]
 
options = {"path": path,
           "includes": includes,
           "excludes": excludes,
           "packages": packages,
           "include_files": include_files,
           "create_shared_zip": False,
           "append_script_to_exe": True,
           "include_in_shared_zip": False,
           "include_msvcr": True,
           }
 
 


#########################################################################
#                         TARGET PREPARATION							#
#########################################################################
base = None
if sys.platform == "win32" and $$WINCONS$$:
    base = "Win32GUI"
 
cible_1 = Executable(
    script = "$$NAME_EXEC$$",
    base = base,
    icon = "$$ICON_EXEC$$",
    compress = False
    )




#########################################################################
#                          SETUP PREPARATION							#
#########################################################################
setup(
    name = "$$NAME$$",
    version = "$$VERSION$$",
    description = "$$DESCRIPTION$$",
    author = "$$AUTHOR$$",
    author_email = "$$AUTHOR_MAIL$$",
    maintainer = "$$MAINTAINER$$",
    maintainer_email = "$$MAINTAINER_MAIL$$",
    url = "$$WEBSITE$$",
    options = {"build_exe": options},
    icon = "$$ICON$$",
    executables = [cible_1]
    )
