#!/usr/bin/env python
#-*- coding:utf-8 -*


"""
	Manage the project configuration file
	
	G{importgraph}
"""


#	Pyxmaker
#	Copyright (C) 2013 GALODE A.
#
#	This file is part of Expymaker.
# 
#	Pyxmaker is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
# 
#	Pyxmaker is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with Pyxmaker.  If not, see <http://www.gnu.org/licenses/>


import os
import sys




#=======================================================================#
#                classe gérant le fichier de sauvegarde              	#
#=======================================================================#
class FileSaveLoad():
	"""
		Class which manage the save file
		
		G{classtree}
	"""
	
	
	#===================================================#
	#                       Init                        #
	#===================================================#
	def __init__(self):
		None 	#structure de type text. ex: LANG=FRANCAIS
	
	
	
	
	#===================================================#
	#	 				Sauvegarde						#
	#===================================================#
	def p_file_save(self, path, dict_param):
		"""
			Init of BddPyxmaker object
				
			PARAMETERS
			==========
				path_base
				---------
					the path of software execution	
						
			RETURNS
			=======
				None
		"""
		with open(path, 'w') as f_config:
			for key, value in dict_param.items():
				f_config.write(key + "=" + value + "\n")			
			f_config.close()
		
		
		
		
	#===================================================#
	#	 				Chargement						#
	#===================================================#
	def f_file_load(self, path):
		"""
			Init of BddPyxmaker object
				
			PARAMETERS
			==========
				path_base
				---------
					the path of software execution	
						
			RETURNS
			=======
				None
		"""
		dict_param = {}
		
		with open(path, 'r') as f_config:
			f_line = f_config.readline()
			while f_line <> "":
				out = f_line.split('=')
				dict_param[out[0]] = out[1].replace("\n","")
				f_line = f_config.readline()
		
		return dict_param
		
		
		
#=======================================================================#
#                 			Main de la classe                 			#
#=======================================================================#		
if __name__ == "__main__":
	obj = FileSaveLoad()
	path = ""
	print obj.f_file_load(path)
